Skip to main content
PUT
/
proposals
/
{proposal_id}
Update Proposal
curl --request PUT \
  --url https://api.example.com/proposals/{proposal_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "clientName": "<string>",
  "clientLocation": "<string>",
  "currency": "<string>",
  "hourlyRate": 123,
  "requirements": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "rationale": "<string>",
      "complexity": 3,
      "priority": "medium",
      "manuallyEdited": true
    }
  ],
  "settings": {},
  "status": "<string>",
  "total": 123
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "clientName": "<string>",
  "clientLocation": "<string>",
  "currency": "<string>",
  "hourlyRate": "<string>",
  "requirements": [
    {}
  ],
  "settings": {},
  "status": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "total": "<string>",
  "outcome": "<string>",
  "outcomeAt": "2023-11-07T05:31:56Z",
  "outcomeReason": "<string>",
  "outcomeNotes": "<string>",
  "outcomeValue": "<string>",
  "authorName": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

proposal_id
string<uuid>
required

Body

application/json

Schema for updating a proposal.

name
string | null
clientName
string | null
clientLocation
string | null
currency
string | null
hourlyRate
requirements
Requirement · object[] | null
settings
Settings · object
status
string | null
total

Response

Successful Response

Schema for proposal response.

id
string<uuid>
required
userId
string<uuid>
required
name
string
required
clientName
string | null
required
clientLocation
string | null
required
currency
string
required
hourlyRate
string
required
requirements
Requirements · object[]
required
settings
Settings · object
required
status
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
teamId
string<uuid> | null
total
string | null
outcome
string | null
outcomeAt
string<date-time> | null
outcomeReason
string | null
outcomeNotes
string | null
outcomeValue
string | null
authorName
string | null